#include "Inventory/DA_EquipmentConfig.h"

float UDA_EquipmentConfig::GetResistance(FGameplayTag DamageType) const
{
	for (const FDamageTypeResistance& Entry : DamageTypeResistances)
	{
		if (Entry.DamageType == DamageType)
		{
			return Entry.Resistance;
		}
	}
	return 0.0f;
}
